package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO struct {
	/*
	   收货人名字     */
	Name *string `json:"name,omitempty" `

	/*
	   收货人电话     */
	Phone *string `json:"phone,omitempty" `

	/*
	   收货人地址     */
	Address *string `json:"address,omitempty" `

	/*
	   poi经纬度     */
	Geo *string `json:"geo,omitempty" `

	/*
	   配送开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   配送结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `
}

func (s *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO) SetName(v string) *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO {
	s.Name = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO) SetPhone(v string) *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO {
	s.Phone = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO) SetAddress(v string) *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO {
	s.Address = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO) SetGeo(v string) *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO {
	s.Geo = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO) SetStartTime(v util.LocalTime) *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO {
	s.StartTime = &v
	return s
}
func (s *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO) SetEndTime(v util.LocalTime) *AlibabaWdkTradeOrderSuccessCreateOrderBuyerInfoBO {
	s.EndTime = &v
	return s
}
